## django-qr-code 2.0.1

=== debian/changelog ===
django-qr-code (2.0.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 26 Nov 2020 14:03:47 +0100

django-qr-code (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1.
  * Remove patch applied upstream.
  * d/control:
    + Bump Standards-Version to 4.5.1, no changes needed.
    + Require django >= 2.2.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 24 Nov 2020 10:39:14 +0100

django-qr-code (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0.
  * Switch Build-Depends from python3-qrcode to python3-segno.
  * Add patch to fix setup.py's install_requires after a dependency change.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 22 Nov 2020 20:53:48 +0100

django-qr-code (1.3.1-2) unstable; urgency=medium

  * Drop unused Build-Depends.
  * Add an autopkgtest.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 03 Nov 2020 17:27:55 +0100

django-qr-code (1.3.1-1) unstable; urgency=medium

  * Initial release.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 13 Oct 2020 11:17:49 +0200

## django-qr-code 2.1.0

=== debian/changelog ===
django-qr-code (2.1.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 16 Feb 2021 19:39:26 +0100

django-qr-code (2.1.0-1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * New upstream version 2.1.0.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 27 Jan 2021 19:34:54 +0100

## django-qr-code 2.2.0

=== requirements.txt ===
django>=2.2.17
segno>=1.3.1

=== docs/requirements.txt ===
recommonmark
sphinx
sphinx-autobuild
-r ../requirements.txt

=== debian/changelog ===
django-qr-code (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 18 Jul 2021 11:45:54 +0200

=== debian/control ===
Source: django-qr-code
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Mattia Rizzolo <mattia@debian.org>,
Build-Depends:
 debhelper-compat (=13),
 dh-sequence-python3,
 python3-all,
 python3-django (>= 2:2.2) <!nocheck>,
 python3-segno <!nocheck>,
 python3-setuptools,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/django-qr-code.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-qr-code
Homepage: https://github.com/dprog-philippe-docourt/django-qr-code

Package: python3-django-qr-code
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Tools for displaying QR codes on your Django site
 This is an application that provides tools for displaying QR codes
 on your Django site.
 .
 This app makes no usage of the Django models and therefore do not
 use any database.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-qr-code

%:
	dh $@ --buildsystem pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
		PYBUILD_TEST_ARGS="{interpreter} manage.py test" \
		dh_auto_test

=== debian/tests/control ===
Test-Command: for p in $(py3versions -s); do $p manage.py test; done
Depends:
 python3-all,
 @,
Restrictions: allow-stderr

## django-qr-code 3.1.1a

=== requirements.txt ===
django>=3.2.13
segno>=1.5.2
pytz>=2022.1
pydantic>=1.9.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = DjangoQRcode
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
recommonmark==0.7.1
sphinx==1.8.5
sphinx-autobuild==2021.3.14
sphinx_rtd_theme==0.5.1
docutils==0.17.1
-r ../requirements.txt

=== debian/changelog ===
django-qr-code (3.1.1a-1) unstable; urgency=medium

  * replaced pytz by zoneinfo
  * adapted the debian patch: migrated from pytz to zoneinfo
  * marked 4 tests as skipped
  * upload to unstable

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 16 Oct 2023 09:20:54 +0200

django-qr-code (3.1.1-2) experimental; urgency=medium

  * added a build dependency on python3-segno

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 11 Jun 2023 11:20:36 +0200

django-qr-code (3.1.1-1) experimental; urgency=medium

  * New upstream version 3.1.1
  * adopted the package, Closes: #973705
  * added a new build-dependency on python3-pydantic
  * relaxed the version dependency for python3-django, created a versionned
    dependency on python3-segno
  * made a short patch for the file qr_code/qrcode/utils.py to disable
    the decorator @pydantic_dataclass once, as it makes the automated
    tests fail. This is a quick and dirty fix, it should be improved!
  * modified d/rules so django_qr_code.egg-info/ is cleaned

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Apr 2023 14:23:47 +0200

django-qr-code (2.2.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Contact.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 02 Nov 2022 21:01:25 +0000

## django-qr-code 4.1.0

=== requirements.txt ===
django>=4.2.13
segno>=1.6.1
pydantic>=2.7.2

=== debian/changelog ===
django-qr-code (4.1.0-2) unstable; urgency=medium

  * added the file d/salsa-ci.yml
  * declared the dependendcy on python3-pytest in d/tests/control

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 22 Jun 2024 15:34:09 +0200

django-qr-code (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0
  * refreshed debian patches
  * added a build-dependency: python3-pytest
  * bumped Standards-Version: 4.7.0

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 04 Jun 2024 15:38:53 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,19 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
+ Georges Khaznadar <georgesk@debian.org>,
  Mattia Rizzolo <mattia@debian.org>,
 Build-Depends:
  debhelper-compat (=13),
  dh-sequence-python3,
  python3-all,
- python3-django (>= 2:2.2) <!nocheck>,
- python3-segno <!nocheck>,
+ python3-django,
+ python3-segno (>= 1.5.2),
  python3-setuptools,
-Standards-Version: 4.5.1
+ python3-pydantic,
+ python3-segno,
+ python3-pytest,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-qr-code.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-qr-code

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,6 @@
 	PYBUILD_SYSTEM=custom \
 		PYBUILD_TEST_ARGS="{interpreter} manage.py test" \
 		dh_auto_test
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf *.egg-info

## django-qr-code 4.2.0

=== requirements.txt ===
django>=4.2.21
segno>=1.6.6
pydantic>=2.11.4

=== docs/Makefile ===


=== docs/requirements.txt ===
sphinx==7.3.7
sphinx-autobuild==2024.4.16
docutils==0.21.2
myst-parser[code_style,linkify,testing,rtd]==3.0.1
-r ../requirements.txt

=== debian/changelog ===
django-qr-code (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 12 Jul 2025 09:20:04 +0200

=== debian/tests/control ===
Test-Command: for p in $(py3versions -s); do $p manage.py test; done
Depends:
 python3-all,
 python3-pytest,
 @,
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="\
pgpmode=none,\
" \
https://github.com/dprog-philippe-docourt/django-qr-code/tags \
             (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
